BotsOperations Class
BotsOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectBotsOperations
Constructor
BotsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| create |
Creates a Bot Service. Bot Service is a resource group wide resource type. |
| delete |
Deletes a Bot Service from the resource group. |
| get |
Returns a BotService specified by the parameters. |
| get_check_name_availability |
Check whether a bot name is available. |
| list |
Returns all the resources of a particular type belonging to a subscription. |
| list_by_resource_group |
Returns all the resources of a particular type belonging to a resource group. |
| update |
Updates a Bot Service. |
create
Creates a Bot Service. Bot Service is a resource group wide resource type.
async create(resource_group_name: str, resource_name: str, parameters: azure.mgmt.botservice.models._models_py3.Bot, **kwargs: Any) -> azure.mgmt.botservice.models._models_py3.Bot
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Bot, or the result of cls(response)
Return type
Exceptions
delete
Deletes a Bot Service from the resource group.
async delete(resource_group_name: str, resource_name: str, **kwargs: Any) -> None
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
None, or the result of cls(response)
Return type
Exceptions
get
Returns a BotService specified by the parameters.
async get(resource_group_name: str, resource_name: str, **kwargs: Any) -> azure.mgmt.botservice.models._models_py3.Bot
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Bot, or the result of cls(response)
Return type
Exceptions
get_check_name_availability
Check whether a bot name is available.
async get_check_name_availability(parameters: azure.mgmt.botservice.models._models_py3.CheckNameAvailabilityRequestBody, **kwargs: Any) -> azure.mgmt.botservice.models._models_py3.CheckNameAvailabilityResponseBody
Parameters
- parameters
- CheckNameAvailabilityRequestBody
The request body parameters to provide for the check name availability request.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
CheckNameAvailabilityResponseBody, or the result of cls(response)
Return type
Exceptions
list
Returns all the resources of a particular type belonging to a subscription.
list(**kwargs: Any) -> AsyncIterable[azure.mgmt.botservice.models._models_py3.BotResponseList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BotResponseList or the result of cls(response)
Return type
Exceptions
list_by_resource_group
Returns all the resources of a particular type belonging to a resource group.
list_by_resource_group(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.botservice.models._models_py3.BotResponseList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either BotResponseList or the result of cls(response)
Return type
Exceptions
update
Updates a Bot Service.
async update(resource_group_name: str, resource_name: str, location: Optional[str] = None, tags: Optional[Dict[str, str]] = None, sku: Optional[azure.mgmt.botservice.models._models_py3.Sku] = None, kind: Optional[Union[str, azure.mgmt.botservice.models._azure_bot_service_enums.Kind]] = None, etag: Optional[str] = None, properties: Optional[azure.mgmt.botservice.models._models_py3.BotProperties] = None, **kwargs: Any) -> azure.mgmt.botservice.models._models_py3.Bot
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Bot, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.botservice.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\botservice\\models\\__init__.py'>
Feedback
Submit and view feedback for